package beispielplugin;
import java.io.File;
import javax.swing.JOptionPane;

/**
 * berschrift:   Beispiel Plug-In
 * Beschreibung:  Beispiel als Grundlage fr Ihre Plug-Ins
 * Copyright:     Copyright (c) 2001
 * Organisation:  Diekmann (CD) Software
 * @author Christian Diekmann
 * @version 1.0
 */


public class HFPlugIn extends diekmann.plugin.HTMLFormatPlugIn {
  String workingDirectory;
  String originalText="";
  String neuerText="";
  boolean upperClase=true;

  public HFPlugIn() {
  }

/**
 * Diese Plug macht nur Textverarbeitung, soll also nicht allein weiterlaufen
 */

  public boolean isStandAloneProgram(){
    return false;
  }

/**
 * Initialisierung wird als erste Methode aufgerufen
 * @param workingDirectory Verzeichnis von dem relativ alle Arbeits-Verzeichnisse liegen (zum Speichern/Laden)
 */
  public void initPlugIn(String workingDirectory, String[] allProjectFiles, String[] allOpenFiles, String[] selectedFiles){
    this.workingDirectory=workingDirectory;
  }

/**
 * bergibt den MenItem-Namen an HTML-Format
 */
  public String getMenuItemText(){
    return "Einfaches Beispiel Plug-In";
  }

/**
 * bergibt den MenItem-Tooltip an HTML-Format
 */
  public String getToolTip(){
    return "nutzen Sie den Quelltext als Grundlage fr eigene Plug-Ins...";
  }

/**
 * True wenn ein Configuration Dialog vorhanden ist.
 */
  public boolean isConfigurationDialogExists(){
    return true;
  }

/**
 * True wenn ein Auswertungs-Frame vorhanden ist.
 */
  public boolean isPresentationFrameExists(){
    return true;
  }

/**
 * Zeigt den Dialog an und gibt bei OK true zurck.
 * Sie knnen natrlich auch Daten abspeichern und fr sptere Aufrufe merken.
 */
  public boolean showConfigurationDialog(){
        Object[] options = {"Text gross schreiben", "Text klein schreiben", "Abbrechen"};
        int n = JOptionPane.showOptionDialog  (null,  "Wie soll das Plug-In den Text bearbeiten?\n"
                    , "Abfrage.", JOptionPane.YES_NO_CANCEL_OPTION, JOptionPane.QUESTION_MESSAGE,
                    null, options, options[2]);
        if (n == JOptionPane.YES_OPTION) {
          upperClase=true;
          return true;  //weiter
        } else if (n == JOptionPane.NO_OPTION) {
          upperClase=false;
          return true;  //weiter
        } else {
          return false; //abbrechen
        }
  }

/**
 * Zeigt den Auswertungs-Frame an. Wenn True wird Ergebnis in HTML-Format bernommen.
 */
  public boolean showPresentationDialog(){
    TestDialog dia=new TestDialog(null, originalText, neuerText);
    dia.setVisible(true);
    return dia.isOk();
  }

/**
 * Fhrt die Textbearbeitung durch und gibt bearbeiteten Text zurck.
 */
  public String work(String text, File htmlDatei){
    originalText=text;
    if(upperClase){
      neuerText=text.toUpperCase();
    }else{
      neuerText=text.toLowerCase();
    }
    return neuerText;
  }


}